<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:20 BST 2009 -->
<TITLE>
BasicMarqueeHandler (JGraph v5.12.4.2 API Specification)
</TITLE>

<META NAME="keywords" CONTENT="org.jgraph.graph.BasicMarqueeHandler class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BasicMarqueeHandler (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicMarqueeHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.SerializableRectangle2D.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicMarqueeHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.jgraph.graph</FONT>
<BR>
Class BasicMarqueeHandler</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><B>org.jgraph.graph.BasicMarqueeHandler</B>
</PRE>
<HR>
<DL>
<DT>public class <B>BasicMarqueeHandler</B><DT>extends <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>

<P>
A simple implementation of a marquee handler for JGraph.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#currentPoint">currentPoint</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#marqueeBounds">marqueeBounds</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Cursor.html" title="class or interface in java.awt">Cursor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#previousCursor">previousCursor</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#startPoint">startPoint</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#BasicMarqueeHandler()">BasicMarqueeHandler</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#getCurrentPoint()">getCurrentPoint</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the currentPoint.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#getGraphForEvent(java.awt.event.MouseEvent)">getGraphForEvent</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#getMarqueeBounds()">getMarqueeBounds</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the marqueeBounds.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Cursor.html" title="class or interface in java.awt">Cursor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#getPreviousCursor()">getPreviousCursor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the previousCursor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#getStartPoint()">getStartPoint</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the startPoint.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#handleMarqueeEvent(java.awt.event.MouseEvent, org.jgraph.JGraph, java.awt.geom.Rectangle2D)">handleMarqueeEvent</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e,
                   <A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                   <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;bounds)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hook for subclassers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#isForceMarqueeEvent(java.awt.event.MouseEvent)">isForceMarqueeEvent</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#isMarqueeTriggerEvent(java.awt.event.MouseEvent, org.jgraph.JGraph)">isMarqueeTriggerEvent</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e,
                      <A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hook for subclassers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#mouseDragged(java.awt.event.MouseEvent)">mouseDragged</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Includes the specified startPoint in the marquee selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#mouseMoved(java.awt.event.MouseEvent)">mouseMoved</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Empty.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#mousePressed(java.awt.event.MouseEvent)">mousePressed</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start the marquee at the specified startPoint.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Stops the current marquee selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#overlay(org.jgraph.JGraph, java.awt.Graphics, boolean)">overlay</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
        <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Graphics.html" title="class or interface in java.awt">Graphics</A>&nbsp;g,
        boolean&nbsp;clear)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Draw the current state of the handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#paint(org.jgraph.JGraph, java.awt.Graphics)">paint</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
      <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Graphics.html" title="class or interface in java.awt">Graphics</A>&nbsp;g)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called after the component was repainted (after autoscroll).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#processMouseDraggedEvent(java.awt.event.MouseEvent)">processMouseDraggedEvent</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called from mouse dragged to update the marquee state during a repaint.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#setCurrentPoint(java.awt.geom.Point2D)">setCurrentPoint</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;currentPoint)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the currentPoint.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#setMarqueeBounds(java.awt.geom.Rectangle2D)">setMarqueeBounds</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;marqueeBounds)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the marqueeBounds.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#setPreviousCursor(java.awt.Cursor)">setPreviousCursor</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Cursor.html" title="class or interface in java.awt">Cursor</A>&nbsp;previousCursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the previousCursor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/BasicMarqueeHandler.html#setStartPoint(java.awt.geom.Point2D)">setStartPoint</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;startPoint)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the startPoint.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="previousCursor"><!-- --></A><H3>
previousCursor</H3>
<PRE>
protected transient <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Cursor.html" title="class or interface in java.awt">Cursor</A> <B>previousCursor</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="marqueeBounds"><!-- --></A><H3>
marqueeBounds</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A> <B>marqueeBounds</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="startPoint"><!-- --></A><H3>
startPoint</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A> <B>startPoint</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="currentPoint"><!-- --></A><H3>
currentPoint</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A> <B>currentPoint</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="BasicMarqueeHandler()"><!-- --></A><H3>
BasicMarqueeHandler</H3>
<PRE>
public <B>BasicMarqueeHandler</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="isForceMarqueeEvent(java.awt.event.MouseEvent)"><!-- --></A><H3>
isForceMarqueeEvent</H3>
<PRE>
public boolean <B>isForceMarqueeEvent</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;event)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="mouseReleased(java.awt.event.MouseEvent)"><!-- --></A><H3>
mouseReleased</H3>
<PRE>
public void <B>mouseReleased</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Stops the current marquee selection.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="handleMarqueeEvent(java.awt.event.MouseEvent, org.jgraph.JGraph, java.awt.geom.Rectangle2D)"><!-- --></A><H3>
handleMarqueeEvent</H3>
<PRE>
public void <B>handleMarqueeEvent</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e,
                               <A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                               <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;bounds)</PRE>
<DL>
<DD>Hook for subclassers. Current implementation checks if graph selection is
 enabled. This is called from mouseReleased to execute the marquee
 selection.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="mouseDragged(java.awt.event.MouseEvent)"><!-- --></A><H3>
mouseDragged</H3>
<PRE>
public void <B>mouseDragged</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Includes the specified startPoint in the marquee selection. Calls
 overlay.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="processMouseDraggedEvent(java.awt.event.MouseEvent)"><!-- --></A><H3>
processMouseDraggedEvent</H3>
<PRE>
protected void <B>processMouseDraggedEvent</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Called from mouse dragged to update the marquee state during a repaint.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="paint(org.jgraph.JGraph, java.awt.Graphics)"><!-- --></A><H3>
paint</H3>
<PRE>
public void <B>paint</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Graphics.html" title="class or interface in java.awt">Graphics</A>&nbsp;g)</PRE>
<DL>
<DD>Called after the component was repainted (after autoscroll). This is used
 to indicate that the graphics is no more dirty.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="overlay(org.jgraph.JGraph, java.awt.Graphics, boolean)"><!-- --></A><H3>
overlay</H3>
<PRE>
public void <B>overlay</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                    <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Graphics.html" title="class or interface in java.awt">Graphics</A>&nbsp;g,
                    boolean&nbsp;clear)</PRE>
<DL>
<DD>Draw the current state of the handler. This is called twice by the
 overlay method and also by the paint method. The caller's intention is
 that the overlay method draws exactly the current state of the handler so
 that it may be used for XOR paint. The drag method calls overlay, changes
 the state, and calls overlay again to use this. However, since it is not
 always possible to clear the screen with an exact repaint the caller
 passes a flag to indicate if the graphics object should be cleared with
 this call (eg. if a subsequent call follows).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>g</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="mousePressed(java.awt.event.MouseEvent)"><!-- --></A><H3>
mousePressed</H3>
<PRE>
public void <B>mousePressed</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Start the marquee at the specified startPoint. This invokes
 expandMarqueeToPoint to initialize marquee selection.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isMarqueeTriggerEvent(java.awt.event.MouseEvent, org.jgraph.JGraph)"><!-- --></A><H3>
isMarqueeTriggerEvent</H3>
<PRE>
public boolean <B>isMarqueeTriggerEvent</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e,
                                     <A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph)</PRE>
<DL>
<DD>Hook for subclassers. Current implementation checks if graph selection is
 enabled. This is called from mousePressed before initiating the marquee
 selection.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="mouseMoved(java.awt.event.MouseEvent)"><!-- --></A><H3>
mouseMoved</H3>
<PRE>
public void <B>mouseMoved</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Empty.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCurrentPoint()"><!-- --></A><H3>
getCurrentPoint</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A> <B>getCurrentPoint</B>()</PRE>
<DL>
<DD>Returns the currentPoint.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Point</DL>
</DD>
</DL>
<HR>

<A NAME="getMarqueeBounds()"><!-- --></A><H3>
getMarqueeBounds</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A> <B>getMarqueeBounds</B>()</PRE>
<DL>
<DD>Returns the marqueeBounds.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Rectangle</DL>
</DD>
</DL>
<HR>

<A NAME="getPreviousCursor()"><!-- --></A><H3>
getPreviousCursor</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Cursor.html" title="class or interface in java.awt">Cursor</A> <B>getPreviousCursor</B>()</PRE>
<DL>
<DD>Returns the previousCursor.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Cursor</DL>
</DD>
</DL>
<HR>

<A NAME="getStartPoint()"><!-- --></A><H3>
getStartPoint</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A> <B>getStartPoint</B>()</PRE>
<DL>
<DD>Returns the startPoint.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Point</DL>
</DD>
</DL>
<HR>

<A NAME="setCurrentPoint(java.awt.geom.Point2D)"><!-- --></A><H3>
setCurrentPoint</H3>
<PRE>
public void <B>setCurrentPoint</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;currentPoint)</PRE>
<DL>
<DD>Sets the currentPoint.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>currentPoint</CODE> - The currentPoint to set</DL>
</DD>
</DL>
<HR>

<A NAME="setMarqueeBounds(java.awt.geom.Rectangle2D)"><!-- --></A><H3>
setMarqueeBounds</H3>
<PRE>
public void <B>setMarqueeBounds</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;marqueeBounds)</PRE>
<DL>
<DD>Sets the marqueeBounds.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>marqueeBounds</CODE> - The marqueeBounds to set</DL>
</DD>
</DL>
<HR>

<A NAME="setPreviousCursor(java.awt.Cursor)"><!-- --></A><H3>
setPreviousCursor</H3>
<PRE>
public void <B>setPreviousCursor</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Cursor.html" title="class or interface in java.awt">Cursor</A>&nbsp;previousCursor)</PRE>
<DL>
<DD>Sets the previousCursor.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>previousCursor</CODE> - The previousCursor to set</DL>
</DD>
</DL>
<HR>

<A NAME="setStartPoint(java.awt.geom.Point2D)"><!-- --></A><H3>
setStartPoint</H3>
<PRE>
public void <B>setStartPoint</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Point2D.html" title="class or interface in java.awt.geom">Point2D</A>&nbsp;startPoint)</PRE>
<DL>
<DD>Sets the startPoint.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>startPoint</CODE> - The startPoint to set</DL>
</DD>
</DL>
<HR>

<A NAME="getGraphForEvent(java.awt.event.MouseEvent)"><!-- --></A><H3>
getGraphForEvent</H3>
<PRE>
public static <A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A> <B>getGraphForEvent</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/MouseEvent.html" title="class or interface in java.awt.event">MouseEvent</A>&nbsp;event)</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>Returns the source of the event as a graph.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicMarqueeHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/AttributeMap.SerializableRectangle2D.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicMarqueeHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
